fix dns.rb #484

Merged
merged 3 commits into from Mar 19, 2013

5 participants

@akston

Removed _host variable from regex block. Probably hacky but it works for now. Thanks to HaroldW.

@plamoni
Owner

Sounds like this change has to do with RubyDNS 0.6.0 and the fix would break RubyDNS <0.6.0. Therefore, can you update siriproxy.gemspec to require RubyDNS 0.6.0? Then I'll be happy to merge.

@plamoni plamoni referenced this pull request Mar 18, 2013
Closed

RubyDNS 0.6.0 Changes #489

@ioquatix

Hi, I'd probably recommend "~> 0.6.0" as it is less likely to break in the future.

@plamoni plamoni merged commit 611dc1b into plamoni:master Mar 19, 2013
@akston akston deleted the unknown repository branch Mar 19, 2013
@betarelease

Can you please push this commit to rubygems? I have a raspberry pi image with siriproxy and that is broken. Need to install siriproxy with the fix for dns.rb.

Thanks

@elvisimprsntr
Collaborator

Perform
siriproxy update

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment